// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by blueversal

ServerEvents.recipes(event => {
    event.remove({ id: 'enigmaticlegacy:the_cube' })
    event.remove({ id: 'enigmaticlegacy:eldritch_pan' })
});

ServerEvents.recipes(event => {
    event.shaped('enigmaticlegacy:the_cube', [
      'abc',
      'ABC',
      'xyz'
    ], {
      a: 'enigmaticlegacy:golem_heart',
      b: 'enigmaticlegacy:cosmic_heart',
      c: 'enigmaticlegacy:blazing_core',
      A: 'enigmaticlegacy:angel_blessing',
      B: 'terramity:malediction_bracelets',
      C: 'enigmaticlegacy:eye_of_nebula',
      x: 'enigmaticlegacy:ocean_stone',
      y: 'enigmaticlegacy:cosmic_heart',
      z: 'enigmaticlegacy:void_pearl',
    });
});

ServerEvents.recipes(event => {
    event.shaped('enigmaticlegacy:eldritch_pan', [
      'zyz',
      'eAe',
      'EaE'
    ], {
      a: 'enigmaticlegacy:ender_rod',
      E: 'macabre:gargamaw_heart',
      e: 'enigmaticlegacy:evil_ingot',
      A: 'enigmaticlegacy:abyssal_heart',
      z: 'enigmaticlegacy:evil_essence',
      y: 'enigmaticlegacy:void_stone'
    });
});
